## DROP INDEX-Anweisung (drop_index_statement)

Die DROP INDEX-Anweisung (drop_index_statement) löscht einen Index einer Basistabelle. Die Metadaten des Index werden aus dem Datenbankkatalog gelöscht. Der durch den Index belegte Speicherplatz wird freigegeben.

### Syntax

<drop_index_statement> ::= DROP INDEX <index_name> [ON <table_name>]

### Beispiele

SQL-Tutorial, Indizes

### Erläuterung

Wenn im Tabellennamen kein Schemaname angegeben ist, wird das aktuelle Schema angenommen.

Der angegebene Index muss existieren und der angegebene Tabellenname muss der Name einer existierenden Basistabelle sein.

Wenn der Indexname eindeutig einen Index bezeichnet, kann die Angabe ON <table_name> entfallen.

Der aktuelle Benutzer muss Eigentümer der angegebenen Tabelle sein oder das INDEX-Privileg für sie besitzen.